All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.storage
Class DataBeanTag

    com.sas.taglib.storage.DataBeanTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class DataBeanTag

DataBeanTag is the custom tag handler for the sasads:DataBean custom tag. DataBeanTag is invoked by the JSP page to evaluate the DataBean custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying DataBean to execute the methods. The required className attribute should be set to specify the fully qualified class name of the DataBean to be used by this tag handler. This class is generated by the DataBean Wizard selecting a JDBC data source.

The query statement can be set in the body of the tag.

If you need to extend or modify the functionality of the custom tag you can subclass the DataBeanTag handler class.

See Also:
  `BaseDataBean`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`DataBeanTag()`

Method Summary
`protected void` | `applyAttributes()` Apply BaseDataBean properties to the underlying com.sas.storage.BaseDataBean object
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getAutoCommitLevel()` Returns the level at which data will be committed.
`java.lang.String` | `getClassName()` Returns the fully qualified name of the underlying DataBean class.
`java.lang.String` | `getDataSource()` Returns the String representing the connection that will be used as the data source for the DataBean.
`java.sql.Connection` | `getDataSourceObject()` Returns the connection object to be used as the data source for the DataBean.
`int` | `getPageSize()` Returns the number of rows to scroll forward or backward when paging.
`java.lang.String` | `getResultSetConcurrency()` Returns the concurrency used in generating the result set.
`java.lang.String` | `getResultSetType()` Returns the type of the result set to create.
`java.lang.String` | `getStatement()` Returns the String that represents the Statement object.
`java.sql.Statement` | `getStatementObject()` Returns the Statement object.
`void` | `setAutoCommitLevel(java.lang.String autoCommitLevel)` Sets the level at which data will be committed.
`void` | `setClassName(java.lang.String className)` Sets the fully qualified name of the underlying DataBean class.
`void` | `setDataSource(java.lang.String dataSource)` Sets the String representing the connection that will be used as the data source for the DataBean.
`void` | `setDataSourceObject(java.sql.Connection dataSourceObject)` Sets a connection object to be used as the data source for the DataBean.
`void` | `setPageSize(int pageSize)` Sets the number of rows to scroll forward or backward when paging.
`void` | `setResultSetConcurrency(java.lang.String resultSetConcurrency)` Sets the desired concurrency of the result set to determine whether it can be updated.
`void` | `setResultSetType(java.lang.String resultSetType)` Sets the type of the result set to determine whether it can be scrolled and whether changes to column values made to the underlying data base are ever shown in the result set.
`void` | `setStatement(java.lang.String statement)` Sets the String that represents the Statement object.
`void` | `setStatementObject(java.sql.Statement statementObject)` Sets the Statement object.

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, initialize, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### DataBeanTag

    public DataBeanTag()

Method Detail

### setClassName

    public void setClassName(java.lang.String className)

  Sets the fully qualified name of the underlying DataBean class. This class is generated by the DataBean Wizard, selecting a JDBC data source.

  Parameters:
    `className` - the fully qualified name of the underlying DataBean class
  See Also:
    `getClassName()`

### getClassName

    public java.lang.String getClassName()

  Returns the fully qualified name of the underlying DataBean class.

  See Also:
    `setClassName(java.lang.String)`

### setPageSize

    public void setPageSize(int pageSize)

  Sets the number of rows to scroll forward or backward when paging.

  Parameters:
    `pageSize` - the number of rows to scroll forward or backward when paging
  See Also:
    `getPageSize()`

### getPageSize

    public int getPageSize()

  Returns the number of rows to scroll forward or backward when paging.

  Returns:
    the number of rows to scroll forward or backward when paging
  See Also:
    `setPageSize(int)`

### setResultSetType

    public void setResultSetType(java.lang.String resultSetType)

  Sets the type of the result set to determine whether it can be scrolled and whether changes to column values made to the underlying data base are ever shown in the result set. Valid values are TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, and TYPE_SCROLL_SENSITIVE. The default is TYPE_SCROLL_INSENSITIVE.

  Parameters:
    `resultSetType` - the type of result set to create.
  See Also:
    `getResultSetType()`

### getResultSetType

    public java.lang.String getResultSetType()

  Returns the type of the result set to create. The type determines whether the result set can be scrolled and whether changes to column values made to the underlying data base are ever shown in the result set.

  Returns:
    the type of result set to create.
  See Also:
    `setResultSetType(java.lang.String)`

### setResultSetConcurrency

    public void setResultSetConcurrency(java.lang.String resultSetConcurrency)

  Sets the desired concurrency of the result set to determine whether it can be updated. Valid values are CONCUR_READ_ONLY and CONCUR_UPDATABLE. The default is CONCUR_READ_ONLY.

  It should be noted that the actual concurrency of the ResultSet may be different from what was passed to the `setResultSetConcurrency` method. This is because a JDBC driver may return a result set with a concurrency different than what was requested depending on if the requested type is supported.

  Parameters:
    `resultSetConcurrency` - the desired concurrency of the result set, indicating whether it can be updated.
  See Also:
    `getResultSetConcurrency()`

### getResultSetConcurrency

    public java.lang.String getResultSetConcurrency()

  Returns the concurrency used in generating the result set. The concurrency determines whether the result set can be updated.

  Returns:
    the concurrency used to create the result set
  See Also:
    `setResultSetConcurrency(java.lang.String)`

### setStatement

    public void setStatement(java.lang.String statement)

  Sets the String that represents the Statement object.

  Parameters:
    `statement` - the String that represents the Statement object
  See Also:
    `getStatement()`

### getStatement

    public java.lang.String getStatement()

  Returns the String that represents the Statement object.

  Returns:
    the String that represents the Statement object
  See Also:
    `setStatement(java.lang.String)`

### setStatementObject

    public void setStatementObject(java.sql.Statement statementObject)

  Sets the Statement object.

  Parameters:
    `statementObject` - the Statement object
  See Also:
    `getStatementObject()`

### getStatementObject

    public java.sql.Statement getStatementObject()

  Returns the Statement object.

  Returns:
    the Statement object
  See Also:
    `setStatementObject(java.sql.Statement)`

### setDataSource

    public void setDataSource(java.lang.String dataSource)

  Sets the String representing the connection that will be used as the data source for the DataBean.

  Parameters:
    `dataSource` - the String representing the connection to be used as the data source
  See Also:
    `getDataSource()`

### getDataSource

    public java.lang.String getDataSource()

  Returns the String representing the connection that will be used as the data source for the DataBean.

  Returns:
    the String representing the connection to be used as the data source
  See Also:
    `setDataSource(java.lang.String)`

### setDataSourceObject

    public void setDataSourceObject(java.sql.Connection dataSourceObject)

  Sets a connection object to be used as the data source for the DataBean.

  Parameters:
    `dataSourceObject` - the connection object used as the data source for the DataBean
  See Also:
    `getDataSourceObject()`

### getDataSourceObject

    public java.sql.Connection getDataSourceObject()

  Returns the connection object to be used as the data source for the DataBean.

  Returns:
    the connection object to be used as the data source
  See Also:
    `setDataSourceObject(java.sql.Connection)`

### setAutoCommitLevel

    public void setAutoCommitLevel(java.lang.String autoCommitLevel)

  Sets the level at which data will be committed. Valid values are COMMITLEVEL_NONE, COMMITLEVEL_ROW, and COMMITLEVEL_CELL. The default is COMMITLEVEL_NONE.

  A value of COMMITLEVEL_NONE indicates that updates to the data will not be autocomitted. This will result in the user being prompted with a confirmation dialog when updating values. Values of COMMITLEVEL_ROW and COMMITLEVEL_CELL both behave the same and will result in the data automatically being committed when data has been changed and the changed row is navigated away from.

  Parameters:
    `autoCommitLevel` - the level at which data will be committed
  See Also:
    `getAutoCommitLevel()`

### getAutoCommitLevel

    public java.lang.String getAutoCommitLevel()

  Returns the level at which data will be committed. Valid values are COMMITLEVEL_NONE, COMMITLEVEL_ROW, and COMMITLEVEL_CELL.

  A value of COMMITLEVEL_NONE indicates that updates to the data will not be autocomitted. This will result in the user being prompted with a confirmation dialog when updating values. Values of COMMITLEVEL_ROW and COMMITLEVEL_CELL both behave the same and will result in the data automatically being committed when data has been changed and the changed row is navigated away from.

  Returns:
    the level at which data will be committed
  See Also:
    `setAutoCommitLevel(java.lang.String)`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Apply BaseDataBean properties to the underlying com.sas.storage.BaseDataBean object

  Overrides:
    `applyAttributes` in class `BaseBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.